Last Comment Bug 334602 - [FIX]ASSERTION: Reparenting something that has no usable parent? Shouldn't happen!: 'Not Reached'
: [FIX]ASSERTION: Reparenting something that has no usable parent? Shouldn't ha...
Status: RESOLVED FIXED
: assertion, crash, fixed1.8.0.7, fixed1.8.1, testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 All
: P1 critical (vote)
: mozilla1.9alpha1
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
Depends on:
Blocks: 322348 343206
  Show dependency treegraph
 
Reported: 2006-04-19 01:03 PDT by Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( )
Modified: 2008-01-04 21:44 PST (History)
5 users (show)
dveditz: blocking1.7.14?
dveditz: blocking‑aviary1.0.9?
mconnor: blocking1.8.1+
dveditz: blocking1.8.0.7+
jruderman: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (298 bytes, text/html)
2006-04-19 01:05 PDT, Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( )
no flags Details
assertion stack + crash stack (21.31 KB, text/plain)
2006-07-23 13:13 PDT, Mats Palmgren (:mats)
no flags Details
Fix (1.10 KB, patch)
2006-07-23 13:41 PDT, Boris Zbarsky [:bz]
dbaron: review+
dbaron: superreview+
dveditz: approval1.8.0.7+
mbeltzner: approval1.8.1+
Details | Diff | Review

Description Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2006-04-19 01:03:45 PDT
See upcoming testcase, which gives this assertion in current trunk build.
Basically, it is these styles rules that cause the assertion:
html::first-line { }
html::before { content:"This should not give an assertion in Mozilla";}

This assertion was added with the fix for bug 322348.
Comment 1 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2006-04-19 01:05:15 PDT
Created attachment 218953 [details]
testcase
Comment 2 Mats Palmgren (:mats) 2006-07-23 13:12:12 PDT
This leads to a crash for me (SeaMonkey debug Linux):
1. load testcase
2. CTRL++ (zoom in)

The reason for the assertion is that GetParentStyleContextFrame()
returns early if there is no parent content:
http://bonsai.mozilla.org/cvsblame.cgi?file=/mozilla/layout/generic/nsFrame.cpp&rev=3.660&root=/cvsroot&mark=4818-4821#4811

and we come here from nsCSSFrameConstructor::WrapFramesInFirstLineFrame
on the root content. See attached stack.
Comment 3 Mats Palmgren (:mats) 2006-07-23 13:13:28 PDT
Created attachment 230362 [details]
assertion stack + crash stack
Comment 4 Boris Zbarsky [:bz] 2006-07-23 13:41:35 PDT
Created attachment 230366 [details] [diff] [review]
Fix

Pseudo-elements are not the root....
Comment 5 Boris Zbarsky [:bz] 2006-07-23 13:42:50 PDT
We need this on the branches (and I'll probably try to land it on 1.7 as well....)
Comment 6 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-08-11 10:49:36 PDT
Comment on attachment 230366 [details] [diff] [review]
Fix

r+sr=dbaron
Comment 7 Boris Zbarsky [:bz] 2006-08-11 19:14:59 PDT
Comment on attachment 230366 [details] [diff] [review]
Fix

This is a very safe crash fix.
Comment 8 Boris Zbarsky [:bz] 2006-08-11 19:15:10 PDT
Fixed on trunk.
Comment 9 Mike Beltzner [:beltzner, not reading bugmail] 2006-08-14 10:23:34 PDT
Comment on attachment 230366 [details] [diff] [review]
Fix

a=drivers for MOZILLA_1_8_BRANCH
Comment 10 Daniel Veditz [:dveditz] 2006-08-14 11:14:13 PDT
Comment on attachment 230366 [details] [diff] [review]
Fix

approved for 1.8.0 branch, a=dveditz for drivers
Comment 11 Boris Zbarsky [:bz] 2006-08-14 18:06:57 PDT
Fixed for 1.8.0.7 and 1.8.1
Comment 12 Jesse Ruderman 2008-01-04 21:44:07 PST
Crashtest checked in.

Note You need to log in before you can comment on or make changes to this bug.